## rtprtxsend rtprtxsend |

## Properties

guint | max-size-time | Read / Write
guint | max-size-packets | Read / Write
guint | num-rtx-requests | Read
guint | num-rtx-packets | Read
GstStructure * | payload-type-map | Read / Write
GstStructure * | ssrc-map | Write

## Types and Values

struct | GstRtpRtxSend

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstRtpRtxSend

## Description

See GstRtpRtxReceive for examples

The purpose of the sender RTX object is to keep a history of RTP packets up to a configurable limit (max-size-time or max-size-packets). It will listen for upstream custom retransmission events (GstRTPRetransmissionRequest) that comes from downstream (GstRtpSession). When receiving a request it will look up the requested seqnum in its list of stored packets. If the packet is available, it will create a RTX packet according to RFC 4588 and send this as an auxiliary stream. RTX is SSRC-multiplexed

## Synopsis

### Element Information

plugin | rtpmanager
author | Julien Isorce <julien.isorce@collabora.co.uk>
class | Codec

### Element Pads

name | sink
direction | sink
presence | always
details | application/x-rtp, clock-rate=(int)[ 1, 2147483647 ]

name | src
direction | source
presence | always
details | application/x-rtp

## Functions

## Types and Values

### struct GstRtpRtxSend

    struct GstRtpRtxSend;

## Property Details

### The `“max-size-time”` property

      “max-size-time”            guint

Amount of ms to queue (0 = unlimited).

Flags: Read / Write

Default value: 0

### The `“max-size-packets”` property

      “max-size-packets”         guint

Amount of packets to queue (0 = unlimited).

Flags: Read / Write

Allowed values: <= 32767

Default value: 100

### The `“num-rtx-requests”` property

      “num-rtx-requests”         guint

Number of retransmission events received.

Flags: Read

Default value: 0

### The `“num-rtx-packets”` property

      “num-rtx-packets”          guint

Number of retransmission packets sent.

Flags: Read

Default value: 0

### The `“payload-type-map”` property

      “payload-type-map”         GstStructure *

Map of original payload types to their retransmission payload types.

Flags: Read / Write

### The `“ssrc-map”` property

      “ssrc-map”                 GstStructure *

Map of SSRCs to their retransmission SSRCs for SSRC-multiplexed mode (default = random).

Flags: Write